View Full Version : VLAX-GET-ACAD-OBJECT
bobby.41130
2006-11-27, 02:58 PM
I am trying the garden path tutorial in the AutoCAD 2005 help. I added some code that had the function "VLAX-GET-ACAD-OBJECT". When I load the code to try to step through it. I get the following error:
; error: no function definition: VLAX-GET-ACAD-OBJECT
Anybody got any suggestions on how to fix this?
kpblc2000
2006-11-27, 03:04 PM
Try to use (vl-load-com) before any vla* function. I mean something like this:
(defun myfunc (/ acad adoc)
(vl-load-com)
(vla-startundomark
(setq adoc (vla-get-activedocument (setq acad (vlax-get-acad-object))))
) ;_ end of vla-startundomark
;; your code
(vla-endundomark adoc)
(princ)
) ;_ end of defun
bobby.41130
2006-11-27, 03:11 PM
Of course. I can't believe I forgot the vl-load-com. I have some lisp experience, but it's all from about the time of release 12. I'm trying to get back into it and I'm still learning. There's a lot of rust for me to knock off. Thank you very much for your help.
Powered by vBulletin® Version 4.2.5 Copyright © 2025 vBulletin Solutions Inc. All rights reserved.